# AITileList_IndustryProducing Class Reference
[Classes that create a list of items.]

Creates a list of tiles which the industry checks to see if a station is there to receive cargo produced by this industry. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList_IndustryProducing:

## Public Member Functions
| AITileList_IndustryProducing (IndustryID industry_id, int radius)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of tiles which the industry checks to see if a station is there to receive cargo produced by this industry.

Definition at line 84 of file ai_tilelist.hpp.

## Constructor & Destructor Documentation

AITileList_IndustryProducing::AITileList_IndustryProducing | ( | IndustryID | industry_id,
|  | int | radius |
| ) |  |  |

Parameters:

  | industry_id | The industry to create the AITileList around.
  | radius | The radius of the station you will be using.

Precondition:
  AIIndustry::IsValidIndustry(industry_id).
  radius > 0.

Definition at line 88 of file ai_tilelist.cpp.

References _settings_game, AITileList::AddTile(), CA_UNMODIFIED, CT_INVALID, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), GetIndustryIndex(), TileArea::h, IsTileType(), AIIndustry::IsValidIndustry(), IsValidTile(), lengthof, Industry::location, StationSettings::modified_catchment, MP_INDUSTRY, Industry::produced_cargo, GameSettings::station, TileArea::tile, TILE_AREA_LOOP, TileDiffXY(), and TileArea::w.

## Member Function Documentation

static const char* AITileList_IndustryProducing::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AITileList.

Definition at line 87 of file ai_tilelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp